summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-11 22:27:12 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:27:12 +0200
commitc8d33d33e177d39033e5c48d2f5e3e2340858b3e (patch)
tree8834d84dc65503c9cafe9995b429fde59cd6c589 /system
parent5a02586f3e81137c6e97a4bd74e0253c127168d6 (diff)
downloadslackbuilds-c8d33d33e177d39033e5c48d2f5e3e2340858b3e.tar.gz
slackbuilds-c8d33d33e177d39033e5c48d2f5e3e2340858b3e.tar.xz
system/wine: Updated for version 1.0.1
Diffstat (limited to 'system')
-rw-r--r--system/wine/README7
-rw-r--r--system/wine/doinst.sh4
-rw-r--r--system/wine/wine.SlackBuild40
-rw-r--r--system/wine/wine.info8
4 files changed, 17 insertions, 42 deletions
diff --git a/system/wine/README b/system/wine/README
index 4386905cbc..cad86c41e5 100644
--- a/system/wine/README
+++ b/system/wine/README
@@ -3,12 +3,5 @@ Wine is an Open Source implementation of the Windows API on top of X and Unix.
This script includes the capability to enable/disable OpenGL acceleration:
read the script for more information.
-If you are building this on Slamd64, execute the build script as follows:
- DISTRO=slamd64 ARCH=x86_64 ./wine.SlackBuild
-
-If you build on a multicore system, add JOBS={#} to enable parallel
-compilation, as in: JOBS=4 ./wine.SlackBuild
-which starts up to 4 build jobs simultaneously.
-
While it's not strictly required, the fontforge package is strongly
recommended to be installed when building wine.
diff --git a/system/wine/doinst.sh b/system/wine/doinst.sh
index 82a2a30436..b310837870 100644
--- a/system/wine/doinst.sh
+++ b/system/wine/doinst.sh
@@ -1,5 +1,5 @@
-if [ -x usr/bin/update-desktop-database ]; then
- usr/bin/update-desktop-database -q usr/share/applications
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
fi
diff --git a/system/wine/wine.SlackBuild b/system/wine/wine.SlackBuild
index 09eccb54ff..b9a34ecb79 100644
--- a/system/wine/wine.SlackBuild
+++ b/system/wine/wine.SlackBuild
@@ -22,10 +22,8 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Thanks to Carlos Corbacho for the diff to support building on 64 bit
-
PRGNAM=wine
-VERSION=${VERSION:-0.9.58}
+VERSION=1.0.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,28 +33,12 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Parallel compilation support
-JOBS=${JOBS:-1}
-
# If you have a video card that supports hardware accelerated OpenGL,
# then set the variable below to "YES" - otherwise, "NO"
# This can be specified on the command line when calling the build script:
# OPENGL=NO ./wine.SlackBuild
OPENGL=${OPENGL:-YES}
-# On x86_64, Wine is built as a 32 bit application, as Wine's 64 bit support
-# isn't much use at the moment (it's non functional, for developers only)
-# http://wiki.winehq.org/Wine64
-# (On Slamd64, you must have the c/ series installed to build Wine)
-
-DISTRO=${DISTRO:-slackware}
-
-if [ $DISTRO = slackware ]; then
- PKGARCH=$ARCH
-else
- PKGARCH=${ARCH}_${DISTRO}
-fi
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
@@ -92,18 +74,18 @@ CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
--with-x \
--disable-debug \
- --${do_opengl}able-opengl
+ --${do_opengl}able-opengl \
+ --build=$ARCH-slackware-linux
-make -j${JOBS} depend
-make -j${JOBS}
+make depend
+make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
@@ -111,8 +93,8 @@ make install DESTDIR=$PKG
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a ANNOUNCE AUTHORS COPYING.LIB ChangeLog LICENSE README VERSION \
- $PKG/usr/doc/$PRGNAM-$VERSION/$DOC
+cp -a ANNOUNCE AUTHORS COPYING.LIB LICENSE* README VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -120,4 +102,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$PKGARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/wine/wine.info b/system/wine/wine.info
index 96e5943c43..1007f12ef8 100644
--- a/system/wine/wine.info
+++ b/system/wine/wine.info
@@ -1,8 +1,8 @@
PRGNAM="wine"
-VERSION="0.9.58"
+VERSION="1.0.1"
HOMEPAGE="http://www.winehq.com/"
-DOWNLOAD="http://ibiblio.org/pub/linux/system/emulators/wine/wine-0.9.58.tar.bz2"
-MD5SUM="2162b67f5f4f643ae8928ad40cb37b21"
+DOWNLOAD="http://ibiblio.org/pub/linux/system/emulators/wine/wine-1.0.1.tar.bz2"
+MD5SUM="b49540f4ed194c7e8da4cdc4b5bd3404"
MAINTAINER="Robby Workman"
EMAIL="rw@rlworkman.net"
-APPROVED="Michiel"
+APPROVED="dsomero"